Subject: bug#27488: du -tX -t-Y won't exclude or select an interval of SIZE

From: Pádraig Brady <[email-masked]>
Date: Mon, 26 Jun 2017 00:00:11 -0700

On 25/06/17 11:08, f0rhum wrote:
> I know man clearly states "exclude entries smaller  than  SIZE  if 
> positive,  or entries greater than..."
> I don't know if it is a restriction in my 8.21, but only the last -t
> option in my command line applies.
> If not, maybe a feature could allow this like du -t3G-5G or -t3G -t-5G
> could show dirs from 3 to 5G
> and -t-3G5G or -t5G -t-3G would show all others.
> Okay, I guess this would be an opened door for guys requesting more than
> one intervall ;)

Maybe, though it would complicate things,
and make it incompat with older -t implementations.
I'm not sure there is enough need for this?

cheers,
Pádraig